### Function

# Vips init

#### Declaration [src]

    int
    vips_init (
      const char* argv0
    )

#### Description [src]

This function starts up libvips, see `VIPS_INIT()`.

This function is for bindings which need to start up vips. C programs should use the `VIPS_INIT()` macro, which does some extra checks.

See also

`VIPS_INIT()`.

#### Parameters

`argv0`

  Type: `const char*`

  Name of application.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `int`

0 on success, -1 otherwise.